.browser-contextmenu {
  background-color: var(--ion-foreground-color);
  padding: 4pt;
  font-size: 10pt;
  z-index: 1000;
  box-shadow: 0 5pt 10pt rgba(0, 0, 0, 0.25);
  border-radius: 2pt;
  padding: 0.5em 0;
  animation: fadeIn 0.2s ease-out;
  opacity: 1;
  display: block;

  hr {
    border: none;
    border-bottom: 1px solid var(--fg-separator);
    margin: 0 0 5px;
    padding: 5px 0 0;
  }

  div {
    cursor: pointer;
    display: block;
    text-decoration: none;
    color: var(--fg-main);
    padding: 0.5em 2em 0.5em 0.75em;
    max-width: 18em;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding-left: 3px;

    &:hover {
      background: var(--ion-hover-background-color);
      border-left: 3px solid var(--fg-highlight);
      border-radius: 3px;
      padding-left: 0;
    }

    &::before {
      content: "";
      margin-right: 0.25em;
      width: 0.5em;
      height: 1em;
      display: inline-block;
    }
  }
}

/* Animations */
@-webkit-keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}
@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}
@-webkit-keyframes fadeOut {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
  }
}
@keyframes fadeOut {
  from {
    opacity: 1;
  }

  to {
    opacity: 0;
  }
}

.is-fadingIn {
  -webkit-animation: fadeIn 0.2s ease-out;
  animation: fadeIn 0.2s ease-out;
  opacity: 1;
  display: block;
}

.is-fadingOut {
  -webkit-animation: fadeOut 0.2s ease-out;
  animation: fadeOut 0.2s ease-out;
  opacity: 0;
  display: block;
}
